## custodian 0.33

=== debian/changelog ===
custodian (0.33) stable; urgency=low

  * Allow an alert's subject to be prefixed with a custom string, read from
    /store/clients/*/custodian-prefix.cfg.  If multiple files are present
    then the last match wins.

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 16 Mar 2016 12:11:21 +0100

custodian (0.32) stable; urgency=low

  * When a TCP-test fails, due to timeout, show the host/port which was
    being connected to.  This removes ambiguity when a test could be applied
    over both IPv4 & IPv6.

 -- Steve Kemp <steve@bytemark.co.uk>  Mon, 19 Dec 2016 14:00:41 +0100

custodian (0.31) stable; urgency=low

  * When falling back to using `openssl`, if TLS 1.2 negotation fails, we
    now send the correct SNI-header.

 -- Steve Kemp <steve@bytemark.co.uk>  Fri, 04 Nov 2016 11:00:11 +0100

custodian (0.30) stable; urgency=low

  * Fallback to using `openssl` if we cannot negotiate a TLS 1.2 connection.

 -- Steve Kemp <steve@bytemark.co.uk>  Mon, 18 Jul 2016 12:33:21 +0100

custodian (0.29) stable; urgency=low

  * Correctly handle retries on SSL negotiation failures.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 13 Jul 2016 12:44:21 +0100

custodian (0.28) stable; urgency=low

  * Added TFTP protocol tester.

 -- James Carter <jcarter@bytemark.co.uk>  Fri, 22 Apr 2016 10:52:27 +0100

custodian (0.27) stable; urgency=low

  * Updated dependencies such that we can install upon Jessi.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 5 April 2016 13:33:31 +0000

custodian (0.26) stable; urgency=low

  * Minor tweaks to the configuration-file parser:
    - Attempting to limit HTTP/HTTPS tests to ipv4/IPv6 fails.
    - Quote-matching is improved for HTTP/HTTPS content-checking.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 10 Feb 2016 14:44:41 +0000

custodian (0.25) stable; urgency=low

  * New release using a set to store jobs in the queue.

 -- Steve Kemp <steve@bytemark.co.uk>  Fri, 18 Dec 2015 13:13:13 +0000

custodian (0.24.18) stable; urgency=low

  * New release - use a sorted-set for our Redis-queue.

 -- Steve Kemp <steve@bytemark.co.uk>  Fri, 18 Dec 2015 11:00:11 +0000

custodian (0.24.17) stable; urgency=low

  * New release - to avoid overflowing our queue.

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 17 Dec 2015 18:18:18 +0000

custodian (0.24.16) stable; urgency=low

  * Defined new Bytemark IP-range:  5.28.56.0/21

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 02 Dec 2015 17:44:17 +0000

custodian (0.24.15) stable; urgency=low

  * Disable SHA1 signature checking of SSL certificates by default.

 -- Steve Kemp <steve@bytemark.co.uk>  Mon, 30 Nov 2015 11:11:11 +0000

custodian (0.24.14) stable; urgency=low

  * Keep up to 8k of history transitions.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 16 Nov 2015 16:14:12 +0000

custodian (0.24.13) stable; urgency=low

  * Updated the redis-alerter, to store more useful-state.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 16 Nov 2015 15:00:51 +0000

custodian (0.24.12) stable; urgency=low

  * Explicitly force the parser to use UTF-8 when reading the configuration
    files for test-cases to apply.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 25 Aug 2015 13:33:31 +0000

custodian (0.24.11) stable; urgency=high

  * Be more forgiving when parsing macro-defitions.

 -- Steve Kemp <steve@bytemark.co.uk>  Fri, 07 Aug 2015 14:45:56 +0000

custodian (0.24.10) stable; urgency=low

  * The SSL-checking of certificates now alerts with a better name,
    rather than "https".

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 04 Aug 2015 15:44:51 +0000

custodian (0.24.9) stable; urgency=low

  * Updated to add an RDP-protocol-tester.
  * Updated to allow mixed-case for the protocol-definitions.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 29 Jul 2015 12:23:34 +0000

custodian (0.24.8) stable; urgency=low

  * Updated the logic of testing to allow tests to cancel themselves
    without raising/clearing alerts:
    - https://projects.bytemark.co.uk/issues/10328

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 28 Apr 2015 13:14:17 +0000

custodian (0.24.7) stable; urgency=low

  * Resolve hostnames for both IPv4 and IPv6 when sending a Bytemark-specific
    alert via the mauve-notifier.
  * Updated the LDAP test to by syntactically valid.

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 16 Apr 2015 10:00:01 +0000

custodian (0.24.6) stable; urgency=low

  * Allow SSL-certificate checking to be disabled via "no_ssl_check".

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 04 Mar 2015 15:00:51 +0000

custodian (0.24.5) stable; urgency=low

  * Correctly report the reason for SSL failures.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 04 Mar 2015 15:33:51 +0000

custodian (0.24.4) stable; urgency=low

  * Check SSL certificates correctly if our SSL library is too old for SNI.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 04 Mar 2015 13:33:31 +0000

custodian (0.24.3) stable; urgency=low

  * Remove the logfile - default to logging to stdout and allowing
    deployment to use syslog via "logger -t custodian".

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 04 Mar 2015 12:44:21 +0000

custodian (0.24.2) stable; urgency=medium

  * Allow "ipv6_only" and "ipv4_only" to be added to tests.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 04 Mar 2015 10:00:01 +0000

custodian (0.24.1) stable; urgency=medium

  * Updated to work with Ruby 1.8, and explictly convert the class
    of our alert to a string.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 04 Mar 2015 09:22:09 +0000

custodian (0.24) stable; urgency=medium

  * Added SSL-validation for the HTTPS tests.
    This only works in office-hours.
  * Updated the TCP-based and ping-based test to explicitly perform DNS
    lookups.  This allows IPv4 and IPv6-tests to be made from a single
    hostname.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 03 Mar 2015 09:05:01 +0000

custodian (0.23) stable; urgency=medium

  * Updated the redis-alerter to make the test-definition available.



## custodian 0.37~13077.gbp45f772

=== debian/changelog ===
custodian (0.37~13077.gbp45f772) UNRELEASED; urgency=medium

  ** SNAPSHOT build @45f772cfe7626ec7c250d89c7291c23decf13558 **

  [ Steve Kemp ]
  * Updated to move ignore-dns-failure code into routine.
  * Sanity-check DNS on a per-protocol basis.
  * Use a case-statement for both kinds of IP-matching.
  * Moved case statement outside timeout block.

  [ root ]

 -- Steve Kemp <steve@steve.org.uk>  Tue, 08 Aug 2017 13:38:55 +0000

custodian (0.36) stable; urgency=high

  * If we receive a DNS-error from the curb-gem we ignore it, unless
    failing to resolve the appropriate hostname ourselves.

 -- Steve Kemp <steve@bytemark.co.uk>  Tue, 08 Aug 2017 08:55:08 +0200

custodian (0.35) stable; urgency=low

  * Alert in more detail on DNS failures.

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 26 Jun 2017 12:00:21 +0100

custodian (0.34) stable; urgency=low

  * Install a cron.daily task to reap old tests - which will ensure that
    the "redis" alerter contains accurate data if it is used.

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 26 Jun 2017 12:00:21 +0100

## custodian 0.37~13208.gbp2045cd

=== debian/changelog ===
custodian (0.37~13208.gbp2045cd) UNRELEASED; urgency=medium

  ** SNAPSHOT build @2045cd151f2801154249686aeef075af68ae24b2 **

  [ Steve Kemp ]
  * Updated to move ignore-dns-failure code into routine.
  * Sanity-check DNS on a per-protocol basis.
  * Use a case-statement for both kinds of IP-matching.
  * Moved case statement outside timeout block.
  * Significant rubocop fixups.
  * Attempt to test upon wheezy systems in addition to jessie.
  * Revert rubocop change.
  * Updated to hide errors we're not fixing.
  * Upgraded rubocop file from 0.43.0 -> 0.49.1

  [ root ]

 -- root <root@runner-32952c23-project-169-concurrent-2>  Thu, 10 Aug 2017 07:50:27 +0000

## custodian 0.37

=== Makefile ===

default:
	@echo "Utility makefile - valid targets are"
	@echo ""
	@echo "  clean - Clean debian-package files"
	@echo "  docs  - Generate manpages."
	@echo "  test  - Run the test suite"


clean:
	rm -rf ./debian/custodian ./debian/custodian-bytemark
	rm -rf ./man
	rm -f ./debian/*.debhelper.log
	rm -f ./debian/*.substvars
	rm -f ./debian/files
	find . -name 'custodian-dequeue.log' -delete || true
	find . -name 'alerts.log' -delete || true

docs: ./man/custodian-dequeue.man ./man/custodian-enqueue.man ./man/custodian-queue.man ./man/multi-ping.man


man/%.man: ./bin/%
	        [ -d man ] || mkdir man
			        RUBYLIB=./lib ./$<  --manual | sed -e 's/^=\+$$//' | txt2man  -s 1 -t $(notdir $<) | sed -e 's/\\\\fB/\\fB/' > $@

test:
	t/test-suite

=== debian/changelog ===
custodian (0.37) stable; urgency=high

  * Always send a User-Agent-header when submitting HTTP/HTTPS tests.
  * Updated how we submit metrics to our central graphite host(s).

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 20 Sep 2017 09:33:09 +0200

=== debian/control ===
Source: custodian
Section: net
Priority: extra
Maintainer: Steve Kemp <steve@bytemark.co.uk>
Build-Depends: debhelper (>= 7.0.0), cdbs, txt2man, ruby
Standards-Version: 3.9.6
Homepage: https://projects.bytemark.co.uk/projects/custodian/


Package: custodian
Architecture: all
Depends: ruby, rubygems, tftp-hpa, ${misc:Depends}, ruby-ldap | libldap-ruby | libldap-ruby1.8
Suggests: mauvealert-client (>= 3.13.1)
Description: remote monitoring via distributed agents
 This package allows you to setup a semi-distributed monitoring
 solution, using the Bytemark MauveAlert server for notification.
 .
 The monitoring consists of a system to enqueue tests in
 a global queue, and an agent that will fetch tests from
 that same queue and execute them.

Package: custodian-bytemark
Architecture: all
Depends: custodian, ruby, ${misc:Depends}
Description: Bytemark-specific add-ons for Custodian.
 This package contains some monitoring for the monitor,
 to ensure that custodian isn't failing to parse configuration
 files, or failing to empty the queue.
 .
 It might be useful reference material for others but it is
 explicitly Bytemark-specific

## custodian 0.40

=== debian/changelog ===
custodian (0.40) stable; urgency=high

  * Fake-release to ensure all hosts are updated.

 -- Steve Kemp <steve@bytemark.co.uk>  Fri, 22 Sep 2017 12:22:21 +0200

## custodian 0.41~34963.gbp16ee28

=== debian/changelog ===
custodian (0.41~34963.gbp16ee28) UNRELEASED; urgency=medium

  ** SNAPSHOT build @16ee28b161456337a73e65714d9f21b719ddb98b **

  [ Steve Kemp ]
  * Removed obsolete code.
  * Allow tests to set a subject.
  * If a test has a subject used, then use it.
  * Test that the parser understands "with subject 'xxx'"

  [ root ]

 -- Steve Kemp <steve@steve.org.uk>  Thu, 22 Feb 2018 12:24:18 +0000

## custodian 0.42~52989.gbpcfc6ba

=== debian/changelog ===
custodian (0.42~52989.gbpcfc6ba) UNRELEASED; urgency=medium

  ** SNAPSHOT build @cfc6baff141da1962fb357b7a56db9403a732c18 **

  [ Steve Kemp ]
  * Updated the file-alerter to use the subject.

  [ Jamie Nguyen ]
  * Kill fallback SSL certificate check after 10 seconds
  * SIGKILL slightly after SIGTERM

  [ root ]

 -- Steve Kemp <steve@steve.org.uk>  Wed, 11 Jul 2018 12:26:31 +0000

custodian (0.41) stable; urgency=low

  * Allow tests to override the alert-subject raised via mauve (#21, !15)

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 22 Feb 2018 14:22:41 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk

build/custodian::
	make docs

## custodian 2024.1.9

=== debian/changelog ===
custodian (2024.1.9-3) unstable; urgency=medium

  * set Vcs-Git to the salsa repo
  * update debian/tests
    - use TMPDIR=${AUTOPKGTEST_TMP}/tmp
      to avoid exhausting /tmp (tests need ~10G tmpfiles)
    - skip QChemErrorHandlerTest since custodian is not
      up-to-date with latest pymatgen
    - run pytest on all supported python versions
      (spglib is now available for all versions)

 -- Drew Parsons <dparsons@debian.org>  Tue, 13 Feb 2024 13:06:55 +0100

custodian (2024.1.9-2) unstable; urgency=medium

  * add missing BSD entries in debian/copyright:
    - docs/_themes/* 2010 Armin Ronacher, Kenneth Reitz
    - custodian/cli/*, Materials Virtual Lab
  * expand on individual contributors to the main code (MIT)
    - The Materials Project
    - human beings Shyue Ping Ong, William Davidson Richards,
      Stephen Dacek, Xiaohui Qu, Matthew Horton, Samuel M. Blau,
      Janosh Riebesell
  * name indivudal contributors in subfolders (MIT)
    - custodian/cp2k/*, Nicholas Winner
    - custodian/feff/*, Chen Zheng
    - custodian/lobster/*, Janine George, Guido Petretto
    - custodian/nwchem/*, Shyue Ping Ong
    - custodian/qchem/*, Samuel Blau, Brandon Wood, Shyam Dwaraknath,
      Xiaohui Qu
    - custodian/vasp/*, Shyue Ping Ong, William Davidson Richards,
      Anubhav Jain, Wei Chen,Stephen Dacek, Andrew Rosen,
      Janosh Riebesell
    - tests/cp2k/*, Pymatgen Development Team

 -- Drew Parsons <dparsons@debian.org>  Fri, 26 Jan 2024 17:39:46 +0100

custodian (2024.1.9-1) unstable; urgency=medium

  * Initial release. (Closes: #1061255)
    - use pytest to run tests
  * run tests with the default python version only, since spglib
    (needed by pymatgen for tests) is only available on default python
  * add debian patches
    - env_test_dir.patch enables location of test dir to be set by
      environment variable CUSTODIAN_TEST_DIR. See upstream issue #311.
    - test_skip.patch skips tests which cannot be run during build
      (files/qchem/new_test_files/FF_working/test_cust.py)
    - doc_build.patch reduces doc build to available sphinx extensions.
      Build-Depends: python3-myst-parser <!nodoc>
  * skip failing tests test_fileman_cpscf_nseg_error,
    test_gdm_neg_precon_error, test_OptFF, test_first_step
  * override dh_clean to not delete test .orig files
  * man pages are generated manually using help2man.
    See debian/README.source.
  * doc privacy: remove .google-analytics.com/ga.js links in html docs

 -- Drew Parsons <dparsons@debian.org>  Mon, 22 Jan 2024 00:42:47 +0100

=== debian/control ===
Source: custodian
Section: python
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3-all,
 python3-psutil,
 python3-pymatgen,
 python3-pytest <!nocheck>,
 python3-sphinx,
 python3-myst-parser <!nodoc>
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/materialsproject/custodian
Vcs-Browser: https://salsa.debian.org/debichem-team/custodian
Vcs-Git: https://salsa.debian.org/debichem-team/custodian.git

Package: python3-custodian
Architecture: all
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-custodian-doc,
Description: flexible just-in-time job management framework in Python
 Custodian is a simple, robust and flexible just-in-time (JIT) job
 management framework written in Python. Using custodian, you can
 create wrappers that perform error checking, job management and error
 recovery. It has a simple plugin framework that allows you to develop
 specific job management workflows for different applications.
 .
 Error recovery is an important aspect of many high-throughput projects
 that generate data on a large scale. When you are running on the order
 of hundreds of thousands of jobs, even an error-rate of 1% would mean
 thousands of errored jobs that would be impossible to deal with on a
 case-by-case basis.
 .
 The specific use case for custodian is for long running jobs, with
 potentially random errors. For example, there may be a script that
 takes several days to run on a server, with a 1% chance of some IO
 error causing the job to fail. Using custodian, one can develop a
 mechanism to gracefully recover from the error, and restart the job
 with modified parameters if necessary.
 .
 The current version of Custodian also comes with several sub-packages
 for error handling for Vienna Ab Initio Simulation Package (VASP),
 NwChem, QChem, FEFF, Lobster and CP2K calculations.
 .
 This package installs the library for Python 3.

Package: python-custodian-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: flexible just-in-time job management framework in Python (doc)
 Custodian is a simple, robust and flexible just-in-time (JIT) job
 management framework written in Python. Using custodian, you can
 create wrappers that perform error checking, job management and error
 recovery. It has a simple plugin framework that allows you to develop
 specific job management workflows for different applications.
 .
 Error recovery is an important aspect of many high-throughput projects
 that generate data on a large scale. When you are running on the order
 of hundreds of thousands of jobs, even an error-rate of 1% would mean
 thousands of errored jobs that would be impossible to deal with on a
 case-by-case basis.
 .
 The specific use case for custodian is for long running jobs, with
 potentially random errors. For example, there may be a script that
 takes several days to run on a server, with a 1% chance of some IO
 error causing the job to fail. Using custodian, one can develop a
 mechanism to gracefully recover from the error, and restart the job
 with modified parameters if necessary.
 .
 The current version of Custodian also comes with several sub-packages
 for error handling for Vienna Ab Initio Simulation Package (VASP),
 NwChem, QChem, FEFF, Lobster and CP2K calculations.
 .
 This is the documentation package.

## custodian 2024.6.24

=== debian/changelog ===
custodian (2024.6.24-1) unstable; urgency=medium

  * New upstream release.
    - deprecates debian patches env_test_dir.patch and test_skip.patch
  * debian/tests: copy tests complete with name to use as module.
    Run all tests. CUSTODIAN_TEST_DIR no longer needed.
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 06 Aug 2024 01:13:32 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-sphinx,
  python3-myst-parser <!nodoc>
 #Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/materialsproject/custodian
 Vcs-Browser: https://salsa.debian.org/debichem-team/custodian
 Vcs-Git: https://salsa.debian.org/debichem-team/custodian.git

## custodian 2024.10.16

=== debian/changelog ===
custodian (2024.10.16-1) unstable; urgency=medium

  * New upstream release
    - Build-Depends: python3-matplotlib,
      python3-monty (>= 2.0.6~),
      python3-ruamel.yaml (>= 0.15.6~),
      python3-sentry-sdk (>= 0.8.0~)
    - package files moved to src subdir

 -- Drew Parsons <dparsons@debian.org>  Sat, 15 Feb 2025 21:37:25 +0100

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,13 @@
  pybuild-plugin-pyproject,
  python3-setuptools,
  python3-all,
+ python3-matplotlib,
+ python3-monty (>= 2.0.6~),
  python3-psutil,
  python3-pymatgen,
  python3-pytest <!nocheck>,
+ python3-ruamel.yaml (>= 0.15.6~),
+ python3-sentry-sdk (>= 0.8.0~),
  python3-sphinx,
  python3-myst-parser <!nodoc>
 #Testsuite: autopkgtest-pkg-python
@@ -27,6 +31,8 @@
 Depends:
  ${python3:Depends},
  ${misc:Depends},
+ python3-matplotlib,
+ python3-sentry-sdk (>= 0.8.0~)
 Suggests:
  python-custodian-doc,
 Description: flexible just-in-time job management framework in Python

=== debian/tests/control ===
Tests: test-custodian
Depends: python3-custodian, python3-pymatgen,
 python3-pytest,
 python3-all

## custodian 2025.10.11

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../docs

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/custodian.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/custodian.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/custodian"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/custodian"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
custodian (2025.10.11-2) unstable; urgency=medium

  * versioned Build-Depends: python3-pymatgen (>= 2025.5.16~)
    (also in debian/tests)

 -- Drew Parsons <dparsons@debian.org>  Wed, 22 Oct 2025 15:29:05 +0200

custodian (2025.10.11-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Oct 2025 20:48:02 +0200

=== debian/control ===
--- 
+++ 
@@ -13,14 +13,14 @@
  python3-matplotlib,
  python3-monty (>= 2.0.6~),
  python3-psutil,
- python3-pymatgen,
+ python3-pymatgen (>= 2025.5.16~),
  python3-pytest <!nocheck>,
  python3-ruamel.yaml (>= 0.15.6~),
  python3-sentry-sdk (>= 0.8.0~),
  python3-sphinx,
  python3-myst-parser <!nodoc>
 #Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/materialsproject/custodian
 Vcs-Browser: https://salsa.debian.org/debichem-team/custodian
 Vcs-Git: https://salsa.debian.org/debichem-team/custodian.git

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=custodian

PY3VER_DEF = $(shell py3versions -dv)

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

# don't delete test .orig files
override_dh_clean:
	dh_clean --exclude=tests/files

override_dh_auto_test:
	rm -rf .pybuild/tests
	cp -r tests .pybuild
	# pymatgen is needed for tests but
	# spglib is only available on the default python version
	CUSTODIAN_TEST_DIR=$(CURDIR)/.pybuild/tests  pybuild --test --test-pytest -p $(PY3VER_DEF) \
	    --test-args='-k "not (test_fileman_cpscf_nseg_error or test_gdm_neg_precon_error or test_OptFF or test_first_step)"'

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/ .pybuild/docs/html # HTML generator

execute_after_dh_installdocs:
	for f in `find debian/python-custodian-doc/usr/share/doc/python-custodian-doc/html -name *.html`; do \
	  sed "s|.google-analytics.com/ga.js|privacy/ga.js|g" -i $$f; \
	done

=== debian/tests/control ===
Tests: test-custodian
Depends: python3-custodian, python3-pymatgen (>= 2025.5.16~),
 python3-pytest,
 python3-all

=== debian/watch ===
version=4

opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/materialsproject/custodian/releases?per_page=100 \
 https://api.github.com/repos/materialsproject/custodian/tarball/@ANY_VERSION@
